본문으로 건너뛰기
G 기그 Open API v1

API 레퍼런스

근무 스케줄

예정된 근무다. 반복 규칙은 서버가 날짜별 인스턴스로 전개해서 돌려주므로, 반복 규칙을 직접 해석할 필요가 없다.

스케줄 목록

GET /schedules schedules:read

기간 내 예정 근무를 날짜별로 조회한다.

쿼리 파라미터

이름타입설명
store_id 필수string매장 식별자
from 필수date조회 시작일 (YYYY-MM-DD, 매장 로컬 날짜)
to 필수date조회 종료일. to − from ≤ 30일 (양끝 포함 31일)
staff_id string특정 직원만 조회
limit int페이지 크기. 기본 100, 최대 1000
cursor string다음 페이지 커서. 응답의 next_cursor 를 그대로 넣는다

응답 필드

이름타입설명
type enumwork | day_off
source enumdirect(직접 등록) | recurring(반복) | contract(근로계약서)
is_exception bool"이 날만 수정" 이 적용된 날

알아둘 것

  • day_off 는 공휴일이 아니라 "그날 근무 없음" 표시다.
  • 야간 근무는 planned_end_at 이 다음 날이 된다.
  • 스케줄 기능을 쓰지 않는 매장은 빈 배열을 반환한다.
cURL
curl -sS "https://developer.openapi.giig.app/api/v1/schedules?store_id=&from=&to=" \
  -H "Authorization: Bearer $GIG_ACCESS_TOKEN"
200 OK · application/json
{
  "data": [
    {
      "store_id": "",
      "staff_id": "",
      "schedule_date": "2026-08-14",
      "type": "work",
      "planned_start_at": "2026-08-14T09:00:00+09:00",
      "planned_end_at": "2026-08-14T18:00:00+09:00",
      "planned_break_minutes": 60,
      "planned_work_minutes": 480,
      "source": "recurring",
      "is_exception": false
    }
  ],
  "next_cursor": null,
  "has_more": false
}
에러 · application/json
{
  "error": {
    "code": "range_too_large",
    "message": "...",
    "request_id": "req_01J8XQ4M2N7P"
  }
}